function OnModGameStart_Terrain_texture_pack()
Game.terrainpack = true --enables mod referencing
MagicAvailable("ALL_PLAYERS","TERRAIN_PACK",true,true)
end
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
local terrain_texture_changer = 0
function Terrain_pack_function()
terrain_texture_changer = terrain_texture_changer + 1

ClearMessage(1)
if terrain_texture_changer == 1 or terrain_texture_changer > 14 then    SetTexture(PLAYER_NEUTRAL,1) QuickMessage("Standard") terrain_texture_changer = 1 end
if terrain_texture_changer == 2 then                                    SetTexture(PLAYER_NEUTRAL,2) QuickMessage("Ancient")end
if terrain_texture_changer == 3 then                                    SetTexture(PLAYER_NEUTRAL,3) QuickMessage("Winter")end
if terrain_texture_changer == 4 then                                    SetTexture(PLAYER_NEUTRAL,4) QuickMessage("Snake Key")end
if terrain_texture_changer == 5 then                                    SetTexture(PLAYER_NEUTRAL,5) QuickMessage("Stone Face")end
if terrain_texture_changer == 6 then                                    SetTexture(PLAYER_NEUTRAL,6) QuickMessage("Voluptuous")end
if terrain_texture_changer == 7 then                                    SetTexture(PLAYER_NEUTRAL,7) QuickMessage("Rough Ancient")end
if terrain_texture_changer == 8 then                                    SetTexture(PLAYER_NEUTRAL,8) QuickMessage("Skull Relief")end
if terrain_texture_changer == 9 then                                    SetTexture(PLAYER_NEUTRAL,9) QuickMessage("Desert Tomb")end
if terrain_texture_changer == 10 then                                   SetTexture(PLAYER_NEUTRAL,10) QuickMessage("Gypsum")end
if terrain_texture_changer == 11 then                                   SetTexture(PLAYER_NEUTRAL,11) QuickMessage("Lilac Stone")end
if terrain_texture_changer == 12 then                                   SetTexture(PLAYER_NEUTRAL,12) QuickMessage("Swamp Serpent")end
if terrain_texture_changer == 13 then                                   SetTexture(PLAYER_NEUTRAL,13) QuickMessage("Lava Cavern")end
if terrain_texture_changer == 14 then                                   SetTexture(PLAYER_NEUTRAL,14) QuickMessage("Laterite Cavern")end
return 0
end